#
# Conditional build:
%bcond_without	introspection	# disable introspection
#
Summary:	Port of WebKit embeddable web component to GTK+ 2
Summary(pl.UTF-8):	Port osadzalnego komponentu WWW WebKit do GTK+ 2
Name:		gtk-webkit
# note: 2.4.x is the last series with webkitgtk-1 API and GTK+ 2.x support
Version:	2.4.9
Release:	1
License:	BSD-like
Group:		X11/Libraries
Source0:	http://webkitgtk.org/releases/webkitgtk-%{version}.tar.xz
# Source0-md5:	312fd29eb7f5970660c6a64b8bf8420e
Patch0:		x32.patch
URL:		http://webkitgtk.org/
BuildRequires:	/usr/bin/ld.gold
BuildRequires:	EGL-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	at-spi2-core-devel >= 2.6.0
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	bison >= 1.875
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	enchant-devel >= 0.22
BuildRequires:	flex >= 2.5.33
BuildRequires:	fontconfig-devel >= 2.5.0
BuildRequires:	freetype-devel >= 1:2.1.8
BuildRequires:	gcc-c++ >= 6:4.7
BuildRequires:	geoclue2-devel >= 2.1.5
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	glibc-misc
%{?with_introspection:BuildRequires:	gobject-introspection-devel >= 1.32.0}
BuildRequires:	gperf
BuildRequires:	gstreamer-devel >= 1.0.3
BuildRequires:	gstreamer-plugins-base-devel >= 1.0.3
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	gtk+2-devel >= 2:2.24.10
BuildRequires:	gtk-doc >= 1.10
BuildRequires:	harfbuzz-devel >= 0.9.7
BuildRequires:	harfbuzz-icu-devel >= 0.9.7
BuildRequires:	libicu-devel >= 4.2.1
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libsecret-devel
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libstdc++-devel
# libtool with -fuse-ld= gcc option support
BuildRequires:	libtool >= 2:2.4.2-13
BuildRequires:	libwebp-devel
BuildRequires:	libxml2-devel >= 1:2.6.30
BuildRequires:	libxslt-devel >= 1.1.7
BuildRequires:	pango-devel >= 1:1.32.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	ruby
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	cairo >= 1.10
Requires:	enchant >= 0.22
Requires:	fontconfig-libs >= 2.5.0
Requires:	freetype >= 1:2.1.8
Requires:	glib2 >= 1:2.36.0
Requires:	gstreamer >= 1.0.3
Requires:	gstreamer-plugins-base >= 1.0.3
Requires:	gtk+2 >= 2:2.24.10
Requires:	harfbuzz >= 0.9.7
Requires:	libsoup >= 2.42.0
Requires:	libxml2 >= 1:2.6.30
Requires:	libxslt >= 1.1.7
Requires:	pango >= 1:1.32.0
%{?with_introspection:Conflicts:	gir-repository < 0.6.5-7}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# __once_call, __once_called non-function symbols from libstdc++
%define		skip_post_check_so	lib.*gtk-1.0.*

%description
gtk-webkit is a port of the WebKit embeddable web component to GTK+ 2.

%description -l pl.UTF-8
gtk-webkit to port osadzalnego komponentu WWW WebKit do GTK+ 2.

%package devel
Summary:	Development files for WebKit for GTK+ 2
Summary(pl.UTF-8):	Pliki programistyczne komponentu WebKit dla GTK+ 2
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36.0
Requires:	gtk+2-devel >= 2:2.24.10
Requires:	libsoup-devel >= 2.42.0
Requires:	libstdc++-devel

%description devel
Development files for WebKit for GTK+ 2.

%description devel -l pl.UTF-8
Pliki programistyczne komponentu WebKit dla GTK+ 2.

%prep
%setup -q -n webkitgtk-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I Source/autotools
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
%ifarch %{x8664}
	LDFLAGS="%{rpmldflags} -fuse-ld=gold" \
%else
	LDFLAGS="%{rpmldflags} -fuse-ld=bfd -Wl,--no-keep-memory" \
%endif
	--disable-gtk-doc \
	--disable-silent-rules \
	--disable-webkit2 \
	--enable-geolocation \
	--enable-glx \
	%{__enable_disable introspection} \
	--enable-webgl \
	--with-gtk=2.0 \
	--with-html-dir=%{_gtkdocdir}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*-1.0.la
# packaged in gtk-webkit3
%{__rm} -r $RPM_BUILD_ROOT%{_gtkdocdir}/{webkitgtk,webkitdomgtk}

%find_lang WebKitGTK-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f WebKitGTK-2.0.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS
%attr(755,root,root) %{_bindir}/jsc-1
%attr(755,root,root) %{_libdir}/libwebkitgtk-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebkitgtk-1.0.so.0
%attr(755,root,root) %{_libdir}/libjavascriptcoregtk-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libjavascriptcoregtk-1.0.so.0
%if %{with introspection}
%{_libdir}/girepository-1.0/JavaScriptCore-1.0.typelib
%{_libdir}/girepository-1.0/WebKit-1.0.typelib
%endif
%dir %{_datadir}/webkitgtk-1.0
%{_datadir}/webkitgtk-1.0/images
%{_datadir}/webkitgtk-1.0/resources

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libjavascriptcoregtk-1.0.so
%attr(755,root,root) %{_libdir}/libwebkitgtk-1.0.so
%if %{with introspection}
%{_datadir}/gir-1.0/JavaScriptCore-1.0.gir
%{_datadir}/gir-1.0/WebKit-1.0.gir
%endif
%{_includedir}/webkitgtk-1.0
%{_pkgconfigdir}/javascriptcoregtk-1.0.pc
%{_pkgconfigdir}/webkit-1.0.pc
%changelog
* Mon Jun 08 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtk-webkit.git;a=log;h=master

* Mon Jun 08 2015 Jan Rękorajski <baggins@pld-linux.org> 1d41d1d
- up to 2.4.9

* Sat Mar 07 2015 Jan Rękorajski <baggins@pld-linux.org> 705ed32
- release 3 (by relup.sh)

* Sat Mar 07 2015 Jan Rękorajski <baggins@pld-linux.org> f7dbae7
- try to solve ld memory exhaution issue on 32bit archs

* Fri Mar 06 2015 Jan Rękorajski <baggins@pld-linux.org> 143c89e
- fixed build on x32; rel 2

* Sun Jan 25 2015 Jakub Bogusz <qboosh@pld-linux.org> a6fd303
- added version note

* Sat Jan 24 2015 Jakub Bogusz <qboosh@pld-linux.org> eef53d6
- updated to 2.4.8

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d9e6d38
- updated gettext BR

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 31b7aba
- release 2 (by relup.sh)

* Wed Jul 16 2014 Jakub Bogusz <qboosh@pld-linux.org> a98c917
- updated to 2.4.4

* Thu May 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 3fd9dda
- updated to 2.4.3

* Tue May 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 5992e19
- updated to 2.4.2

* Fri Apr 18 2014 Jan Rękorajski <baggins@pld-linux.org> cd4e82b
- up to 2.4.1

* Sun Apr 06 2014 Jakub Bogusz <qboosh@pld-linux.org> dc17116
- updated to 2.4.0
- removed outdated sync-builtins patch

* Tue Feb 11 2014 Jakub Bogusz <qboosh@pld-linux.org> b00d74f
- updated to 2.2.4

* Thu Jan 30 2014 Jan Rękorajski <baggins@pld-linux.org> 32d7212
- rebuild with libwebp 0.4.0
- release 2 (by relup.sh)

* Thu Nov 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 1e4014a
- updated to 2.2.2

* Sat Nov 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d88b67f
- release 4 (by relup.sh)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b84f9c
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e8c252
- release 2 (by relup.sh)

* Sat Oct 19 2013 Jakub Bogusz <qboosh@pld-linux.org> d3feceb
- updated to 2.2.1

